package leigh.eo;

import java.io.Serializable;

/**
 * Implements edit tracking functionality.
 *
 * @author Alex Leigh
 * @since mk10 mod14 (CRYSTAL)
 */
public interface EditTracker {
    void dirty(EO eo, String key, Serializable oldValue, Serializable newValue, EOListener listener);

    void objRemoved(EOLoop loop, EO eo, int index);

    void objAdded(EOLoop loop, EO eo);
}
